.\"                                      Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH JCONVOLVER 1 "March 23, 2009"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
jconvolver \- is a Convolution Engine for JACK using FFT-based partitioned convolution with multiple partition sizes.
.SH SYNOPSIS
.B jconvolver
.RI  [ options ] [ config-file ] [ connect-file ]
.br
.SH DESCRIPTION
This manual page documents briefly the
.B jconvolver
program.
.PP
.\" TeX users may be more comfortable with the \fB<whatever>\fP and
.\" \fI<whatever>\fP escape sequences to invode bold face and italics, 
.\" respectively.
\fBjconvolver\fP is a Convolution Engine for JACK, based on FFT convolution using the convolution engine for reverberation processing. This distributes the calculation over up to five threads, one for each partition size, running at priorities just below the the one of JACK's processing thread. 
.PP
To run this program you need config file and wav file for convolution. Demo config files you can find in /usr/share/jconvolver/config-files directory.
.br
(You have to edit path to your convolution wav file)
.br
Set of wav files you can download from Fons Adriaensen's web pages http://www.kokkinizita.net/linuxaudio/downloads/index.html (jconvolver-reverbs.tar.bz2) or you can use another convolution files which are supported by libsndfile.
.PP
Some other info can be found in README and README.COFNFIG files in /usr/share/doc/jconvolver.
.SH OPTIONS
A summary of options is included below.
.TP
.B \-h 
Display short help
.TP
.B \-v 
Print partition list to stdout [off]
.TP
.B \-L <nframes> 
Try to compensate <nframes> latency
.TP
.B \-M 
Use the FFTW_MEASURE option [off]
.TP
.B \-N <name> 
Name to use as JACK client [jconv]
.SH SEE ALSO
.BR jackd (1),
.br
.SH AUTHOR
jconvolver was written by Fons Adriaensen <fons@kokkinizita.net>.
.PP
This manual page was written by Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>,
for the Debian project (but may be used by others).
